summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorgumi <mekolat@users.noreply.github.com>2017-11-20 20:26:08 -0500
committergumi <mekolat@users.noreply.github.com>2017-11-20 20:26:08 -0500
commit5944025f1424692ec34293cd8b8c7b85cc0b0887 (patch)
tree014a48bc1e9ed6c5661472d247b1d61c7d6a347f
parent8cb03d60d218fcfbb0b986bde10c8f2fd994e8aa (diff)
downloadtools-5944025f1424692ec34293cd8b8c7b85cc0b0887.tar.gz
tools-5944025f1424692ec34293cd8b8c7b85cc0b0887.tar.bz2
tools-5944025f1424692ec34293cd8b8c7b85cc0b0887.tar.xz
tools-5944025f1424692ec34293cd8b8c7b85cc0b0887.zip
clean existing zips on update
-rw-r--r--client/make-music.sh1
-rwxr-xr-xclient/make-updates1
2 files changed, 2 insertions, 0 deletions
diff --git a/client/make-music.sh b/client/make-music.sh
index dafcf2c..cca2441 100644
--- a/client/make-music.sh
+++ b/client/make-music.sh
@@ -23,6 +23,7 @@ mkdir -pv $output
echo ">> Removing leftovers..."
rm -v files/Legacy-music.zip 2>/dev/null || :
+rm -v $output/Legacy-music.zip 2>/dev/null || :
echo ">> Entering client-data..."
pushd $cdata
diff --git a/client/make-updates b/client/make-updates
index cf9bab6..32f06c6 100755
--- a/client/make-updates
+++ b/client/make-updates
@@ -26,6 +26,7 @@ chmod u+x ./make-music.sh
echo ">> Removing leftovers..."
rm -rv files/* 2>/dev/null || :
+rm -v $output/Legacy.zip 2>/dev/null || :
echo ">> Entering client-data..."
pushd $cdata